package com.me.asteroids.components;

import com.badlogic.gdx.math.Vector2;
import com.me.common.ecs.Component;

public class PositionComponent implements Component {

    public Vector2 position;
    public float rotation;

    public PositionComponent() {
        this(0f, 0f, 0f);
    }

    public PositionComponent(float x, float y, float rotation) {
        this(new Vector2(x, y), rotation);
    }

    public PositionComponent(Vector2 position, float rotation) {
        this.position = position;
        this.rotation = rotation;
    }

    public float getX() {
        return position.x;
    }

    public float getY() {
        return position.y;
    }

    public void setX(float x) {
        position.x = x;
    }

    public void setY(float y) {
        position.y = y;
    }

    public void set(Vector2 vector) {
        set(vector.x, vector.y);
    }

    public void set(float x, float y) {
        position.x = x;
        position.y = y;
    }

}
